Subject: Re: [alpine-devel] LVM install fails

From: Viktor Trojanovic <[email-masked]>
Date: Sat, 19 Sep 2015 23:22:44 +0200

that's not necessarily a bad thing. if you ever want to (or, more 
likely, have to) switch to GRUB, you'll be happy not having to 
repartition for that 1MB of disk space.

the wiki may be inaccurate, I can't say, but the error doesn't seem 
related. the disks were installed and formatted correctly, setup-disk 
starts copying files over to the rootfs - and manages to copy several 
files and folders - but then at one moment stops with this error.

there clearly is an error either in setup-disk itself or in the way I'm 
calling it. I can't say what it is because no error log apart from the 
message is generated.

On 19.09.2015 22:10, Fred Schiff wrote:
> wiki may not be accurate.  It wants you to create a 
> bios-boot-partition (partition code EF02)
> Thats for GRUB2 not syslinux.
>
> On Thu, Sep 17, 2015 at 8:13 PM, Viktor Trojanovic <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hi all,
>
>     I just did a fresh VirtualBox install, following exactly the
>     step-by-step instructions on
>     http://wiki.alpinelinux.org/wiki/Installing_on_GPT_LVM. All works
>     perfectly up to the point "setup-disk -m sys /mnt". This doesn't
>     succeed on my system.
>
>     Installing system on /dev/vg0/alpine.rootfs:
>     /mnt/boot is device /dev/sda2
>     ERROR: unsatisfiable constraints:
>       .setup-apkrepos (missing):
>          required by: world[.setup-apkrepos]
>
>     I can confirm that my internet connection works, I can run
>     setup-apkrepos and the /etc/apk/repositories file looks fine. No
>     errors in the logs.
>
>     Btw, an automated install straight to the disk using alpine-setup
>     works just fine.
>
>     Is this a bug or am I doing something wrong?
>
>
>     ---
>     Unsubscribe: [email-masked]
>     <mailto:[email-masked]>
>     Help: [email-masked]
>     <mailto:[email-masked]>
>     ---
>
>
>
>
> -- 
> Fred Schiff ([email-masked] <mailto:[email-masked]>)